Name:           proxytunnel
Version:        1.9.0
Release:        alt1_8
Summary:        Tool to tunnel a connection through an standard HTTP(S) proxy
Group:          Networking/WWW
License:        GPLv2+ and BSD and MIT
URL:            http://proxytunnel.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tgz

BuildRequires:  libssl-devel
Source44: import.info


%description
ProxyTunnel is a program that connects stdin and stdout to a server somewhere 
on the network, through a standard HTTPS proxy. We mostly use it to tunnel SSH
sessions through HTTP(S) proxies.
Proxytunnel can currently do the following:
    * Create tunnels using HTTP and HTTPS proxies (That understand the HTTP 
      CONNECT command).
    * Work as a back-end driver for an OpenSSH client, and create SSH
      connections through HTTP(S) proxies.
    * Work as a stand-alone application, listening on a port for connections, 
      and then tunneling these connections to a specified destination. 


%prep
%setup -q

# Fix permissions
chmod 644 CHANGES

# Convert docs to UTF-8
for f in CHANGES proxytunnel.1; do
    iconv -f iso-8859-1 -t utf-8 $f > $f.tmp
    touch -r $f $f.tmp
    mv -f $f.tmp $f
done


%build
make %{?_smp_mflags} CFLAGS="%{optflags}"


%install
make install PREFIX=%{_prefix} DESTDIR=%{buildroot}


%files
%doc CHANGES CREDITS KNOWN_ISSUES LICENSE.txt README RELNOTES TODO
%{_bindir}/proxytunnel
%{_mandir}/man1/proxytunnel.1*


%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 1.9.0-alt1_8
- initial fc import

